<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity ProductAssociation.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idproductto"
                                 baseTableName="product_association"
                                 constraintName="fk_product_association_product_to_id"
                                 referencedColumnNames="idproduct"
                                 referencedTableName="product"/>

        <addForeignKeyConstraint baseColumnNames="idproductfrom"
                                 baseTableName="product_association"
                                 constraintName="fk_product_association_product_from_id"
                                 referencedColumnNames="idproduct"
                                 referencedTableName="product"/>

    </changeSet>
</databaseChangeLog>
